Loading...
Searching...
No Matches
BALL::ScoringFunction::Default Struct Reference

`#include <BALL/SCORING/COMMON/scoringFunction.h>`

## Static Public Attributes

static const Size | VERBOSITY
static const Size | BASE_FUNCTION_TYPE
static double | HASHGRID_RESOLUTION
static int | HASHGRID_SIZE
static double | NONBONDED_CUTOFF
static double | CONFORMATION_SCALE
static bool | ALL_LIG_NONB_PAIRS
static bool | USE_STATIC_LIG_FRAGMENTS
static bool | IGNORE_H_CLASHES
static double | ALLOWED_INTERMOL_OVERLAP
static double | ALLOWED_INTRAMOL_OVERLAP
static int | BURIAL_DEPTH_SCALE

## Detailed Description

Definition at line 90 of file scoringFunction.h.

## Member Data Documentation

## ALL_LIG_NONB_PAIRS

bool BALL::ScoringFunction::Default::ALL_LIG_NONB_PAIRS

static

if set to true, all ligand nonbonded pairs are used to asses the conformational energy of the ligand. This way much time can be saved (for small+medium sized ligands) because the pairlist of the nonbonded comformation component will only be calculated once for each ligand candidate.

Definition at line 112 of file scoringFunction.h.

## ALLOWED_INTERMOL_OVERLAP

double BALL::ScoringFunction::Default::ALLOWED_INTERMOL_OVERLAP

static

the allowed intermolecular overlap in Angstroem for two atoms.

Definition at line 121 of file scoringFunction.h.

## ALLOWED_INTRAMOL_OVERLAP

double BALL::ScoringFunction::Default::ALLOWED_INTRAMOL_OVERLAP

static

the allowed intramolecular overlap in Angstroem for two atoms.

Definition at line 124 of file scoringFunction.h.

## BASE_FUNCTION_TYPE

const Size BALL::ScoringFunction::Default::BASE_FUNCTION_TYPE

static

Definition at line 98 of file scoringFunction.h.

## BURIAL_DEPTH_SCALE

int BALL::ScoringFunction::Default::BURIAL_DEPTH_SCALE

static

Definition at line 126 of file scoringFunction.h.

## CONFORMATION_SCALE

double BALL::ScoringFunction::Default::CONFORMATION_SCALE

static

allows scaling down the contribution of the conformational energy of the ligand to the overall score

Definition at line 109 of file scoringFunction.h.

## HASHGRID_RESOLUTION

double BALL::ScoringFunction::Default::HASHGRID_RESOLUTION

static

width of one HashGridBox in Angstroem

Definition at line 101 of file scoringFunction.h.

## HASHGRID_SIZE

int BALL::ScoringFunction::Default::HASHGRID_SIZE

static

the size of the HashGridBox in units of boxes per axis

Definition at line 104 of file scoringFunction.h.

## IGNORE_H_CLASHES

bool BALL::ScoringFunction::Default::IGNORE_H_CLASHES

static

determines whether an overlap between two Hydrogen atoms should be considered a sterical clash

Definition at line 118 of file scoringFunction.h.

## NONBONDED_CUTOFF

double BALL::ScoringFunction::Default::NONBONDED_CUTOFF

static

Definition at line 106 of file scoringFunction.h.

## USE_STATIC_LIG_FRAGMENTS

bool BALL::ScoringFunction::Default::USE_STATIC_LIG_FRAGMENTS

static

if set to true, StaticLigandFragments are calculated for each ligand candidate and the score for all nonbonded pairs within one StaticLigandFragment is calculated ony once for each ligand candidate. This way time can be saved if the static fragments of the ligands are not modified.

Definition at line 115 of file scoringFunction.h.

## VERBOSITY

const Size BALL::ScoringFunction::Default::VERBOSITY

static

Definition at line 94 of file scoringFunction.h.